<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY % cyr1 PUBLIC "ISO 8879:1986//ENTITIES Russian Cyrillic//EN">
%cyr1;
]>

<style-sheet>
<style-specification id="docbook-l10n-ru">
<style-specification-body>

;; $Id: dbl1ru.dsl 1.0 1997/12/30 17:48:14 nwalsh Exp $
;;
;; This file is part of the Modular DocBook Stylesheet distribution.
;; See ../README or http://www.berkshire.net/~norm/dsssl/
;;

;; ----------------------------- Localization -----------------------------

;; This is revised Russian Localization, modified by 
;; Ilia V. Kouznetsov, kuznetjr@syntext.com

;; Suggestion of I. Kouznetsov: According to my experience of writing 
;; documentation, Russian words for cross references had better be 
;; abbreviated (just like it is usually done in Russian documents) 
;; because the ends of not abbreviated cross references may vary from 
;; place to place due to the cases of Russian language  

;; If you create a new version of this file, please send it to
;; Norman Walsh, norm@berkshire.net

(define (gentext-xref-strings giname)
  (case giname
    (("APPENDIX") "&Pcy;&rcy;&icy;&lcy;. %n")
    (("ARTICLE") "\U-201C;%t\U-201D;")
    (("BOOK") "%t")
    (("CHAPTER") "&Gcy;&lcy;. %n")
    (("EXAMPLE") "&Pcy;&rcy;&icy;&mcy;. %n")
    (("FIGURE") " %n")
    (("INFORMALTABLE") "%kg %kn")
    (("PART") "&CHcy;. %n")
    (("PREFACE") "%t")
    (("PROCEDURE") "&Pcy;&rcy;&ocy;&tscy;. %n, %t")
    (("SECT1") (if %section-autolabel% 
		   "&Rcy;&acy;&zcy;&dcy;. %n" 
		   "&Rcy;&acy;&zcy;&dcy;. %t#c"))
    (("SECT2") (if %section-autolabel% 
		   "&Rcy;&acy;&zcy;&dcy;. %n" 
		   "&Rcy;&acy;&zcy;&dcy;. %t#c"))
    (("SECT3") (if %section-autolabel% 
		   "&Rcy;&acy;&zcy;&dcy;. %n" 
		   "&Rcy;&acy;&zcy;&dcy;. %t#c"))
    (("SECT4") (if %section-autolabel% 
		   "&Rcy;&acy;&zcy;&dcy;. %n" 
		   "&Rcy;&acy;&zcy;&dcy;. %t#c"))
    (("SECT5") (if %section-autolabel% 
		   "&Rcy;&acy;&zcy;&dcy;. %n" 
		   "&Rcy;&acy;&zcy;&dcy;. %t#c"))
    (("STEP") "&SHcy;&acy;&gcy; %n#k")
    (("TABLE") "&Tcy;&acy;&bcy;. %n")
    (("TITLE") "%kg %kn")
    (else (string-append "[xref to " 
			 (if giname 
			     giname
			     "non-existant element")
			 " unsupported]"))))


;; Indirection in the generated text for cross references.  The first
;; element of the list is used for cross references across element
;; boundries, the second element is used for cross references within
;; the same element
;;
(define (gentext-xref-strings-indirect key)
  (case key
    (("b") '("" ""))
    (("c") '(" in %cg %cn" ""))
    (("d") '("" ""))
    (("k") '(" in %kg %kn" ""))
    (("s") '("" ""))))

;; Should the TOC come first or last?
;;
(define %generate-toc-in-front% #t)

;; gentext-element-name returns the generated text that should be 
;; used to make reference to the selected element.
;;
(define (gentext-element-name giname)
  (case giname
    (("ABSTRACT") "&Acy;&ncy;&ncy;&ocy;&tcy;&acy;&tscy;&icy;&yacy;")
    (("APPENDIX") "&Pcy;&rcy;&icy;&lcy;&ocy;&zhcy;&iecy;&ncy;&icy;&iecy;")
    (("BIBLIOGRAPHY") "&Lcy;&icy;&tcy;&iecy;&rcy;&acy;&tcy;&ucy;&rcy;&acy;")
    (("CAUTION") "&Pcy;&Rcy;&IEcy;&Dcy;&Ocy;&Scy;&Tcy;&IEcy;&Rcy;&IEcy;&ZHcy;&IEcy;&Ncy;&Icy;&IEcy;")
    (("CHAPTER") "&Gcy;&lcy;&acy;&vcy;&acy;")
    (("COPYRIGHT") "Copyright")
    (("DEDICATION") "&Pcy;&ocy;&scy;&vcy;&yacy;&shchcy;&acy;&iecy;&tcy;&scy;&yacy;")
    (("EXAMPLE") "&Pcy;&rcy;&icy;&mcy;&iecy;&rcy;")
    (("FIGURE") "&Rcy;&icy;&scy;&ucy;&ncy;&ocy;&kcy;")
    (("GLOSSARY") "&Pcy;&iecy;&rcy;&iecy;&chcy;&iecy;&ncy;&softcy; &tcy;&iecy;&rcy;&mcy;&icy;&ncy;&ocy;&vcy;")
    (("GLOSSSEE") "&Scy;&mcy;.")
    (("GLOSSSEEALSO") "&Scy;&mcy;. &tcy;&acy;&kcy;&zhcy;&iecy;")
    (("IMPORTANT") "&Vcy;&Acy;&ZHcy;&Ncy;&Ocy;")
    (("INDEX") "&Icy;&Ncy;&Dcy;&IEcy;&Kcy;&Scy;")
    (("MSGAUD") "&Acy;&ucy;&dcy;&icy;&tcy;&ocy;&rcy;&icy;&yacy;")
    (("MSGLEVEL") "&Ucy;&rcy;&ocy;&vcy;&iecy;&ncy;&softcy;")
    (("MSGORIG") "&Pcy;&rcy;&ocy;&icy;&scy;&khcy;&ocy;&zhcy;&dcy;&iecy;&ncy;&icy;&iecy;")
    (("NOTE") "&Zcy;&Acy;&Mcy;&IEcy;&CHcy;&Acy;&Ncy;&Icy;&IEcy;")
    (("PART") "&CHcy;&acy;&scy;&tcy;&softcy;")
    (("PREFACE") "&Pcy;&rcy;&iecy;&dcy;&icy;&scy;&lcy;&ocy;&vcy;&icy;&iecy;")
    (("PROCEDURE") "&Pcy;&rcy;&ocy;&tscy;&iecy;&dcy;&ucy;&rcy;&acy;")
    (("REFERENCE") "&Scy;&scy;&ycy;&lcy;&kcy;&acy;")
    (("REFNAME") "&Scy;&scy;&ycy;&lcy;&kcy;&acy;")
    (("REVHISTORY") "&Icy;&scy;&tcy;&ocy;&rcy;&icy;&yacy; &Icy;&zcy;&dcy;&acy;&ncy;&icy;&jcy;")
    (("REVISION") "&Icy;&zcy;&dcy;&acy;&ncy;&icy;&iecy;")
    (("SECT1") "&Rcy;&acy;&zcy;&dcy;&iecy;&lcy;")
    (("SECT2") "&Rcy;&acy;&zcy;&dcy;&iecy;&lcy;")
    (("SECT3") "&Rcy;&acy;&zcy;&dcy;&iecy;&lcy;")
    (("SECT4") "&Rcy;&acy;&zcy;&dcy;&iecy;&lcy;")
    (("SECT5") "&Rcy;&acy;&zcy;&dcy;&iecy;&lcy;")
    (("STEP") "&SHcy;&acy;&gcy;")
    (("TABLE") "&Tcy;&acy;&bcy;&lcy;&icy;&tscy;&acy;")
    (("TIP") "&Pcy;&Ocy;&Dcy;&Scy;&Kcy;&Acy;&Zcy;&Kcy;&Acy;")
    (("TOC") "&Scy;&Ocy;&Dcy;&IEcy;&Rcy;&ZHcy;&Acy;&Ncy;&Icy;&IEcy;")
    (("WARNING") "&Pcy;&Rcy;&IEcy;&Dcy;&Ucy;&Pcy;&Rcy;&IEcy;&ZHcy;&Dcy;&IEcy;&Ncy;&Icy;&IEcy;")
    (else (string-append "UNEXPECTED-ELEMENT-NAME: " giname))))

;; gentext-element-name-space returns gentext-element-name with a 
;; trailing space, if gentext-element-name isn't "".
;;
(define (gentext-element-name-space giname)
  (string-with-space (gentext-element-name giname)))

;; gentext-intra-label-sep returns the seperator to be inserted
;; between multiple occurances of a label (or parts of a label)
;; for the specified element.  Most of these are for enumerated
;; labels like "Figure 2-4", but this function is used elsewhere
;; (e.g. REFNAME) with a little abuse.
;;
(define (gentext-intra-label-sep giname)
  (case giname
    (("EXAMPLE") "-")
    (("FIGURE") "-")
    (("PROCEDURE") ".")
    (("REFENTRY") ".")
    (("REFERENCE") ".")
    (("REFNAME") ", ")
    (("REFSECT1") ".")
    (("REFSECT2") ".")
    (("REFSECT3") ".")
    (("SECT1") ".")
    (("SECT2") ".")
    (("SECT3") ".")
    (("SECT4") ".")
    (("SECT5") ".")
    (("STEP") ".")
    (("TABLE") "-")
    (("_pagenumber") "-")  ;; page number psuedo element
    (else "")))

;; gentext-label-title-sep returns the seperator to be inserted
;; between a label and the text following the label for the
;; specified element.  Most of these are for use between
;; enumerated labels and titles like "1. Chapter One Title", but
;; this function is used elsewhere (e.g. NOTE) with a little
;; abuse.
;;
(define (gentext-label-title-sep giname)
  (case giname
    (("ABSTRACT") ": ")
    (("APPENDIX") ". ")
    (("CAUTION") "")
    (("CHAPTER") ". ")
    (("EXAMPLE") ". ")
    (("FIGURE") ". ")
    (("FOOTNOTE") ". ")
    (("GLOSSSEE") ": ")
    (("GLOSSSEEALSO") ": ")
    (("IMPORTANT") ": ")
    (("NOTE") ": ")
    (("ORDEREDLIST") ". ")
    (("PART") ". ")
    (("PROCEDURE") ". ")
    (("PREFIX") ". ")
    (("REFENTRY") ". ")
    (("REFERENCE") ". ")
    (("REFSECT1") ". ")
    (("REFSECT2") ". ")
    (("REFSECT3") ". ")
    (("SECT1") ". ")
    (("SECT2") ". ")
    (("SECT3") ". ")
    (("SECT4") ". ")
    (("SECT5") ". ")
    (("STEP") ". ")
    (("TABLE") ". ")
    (("TIP") ": ")
    (("WARNING") "")
    (else "")))

(define %gentext-by% " ") ;; e.g. Copyright 1997 "by" A. Nonymous
                           ;; Authored "by" Jane Doe

(define %gentext-page% "")

(define %gentext-start-quote%  (dingbat "ldquo"))

(define %gentext-end-quote%  (dingbat "rdquo"))

(define %gentext-endnotes% "&Zcy;&acy;&kcy;&lcy;&yucy;&chcy;&icy;&tcy;&iecy;&lcy;&softcy;&ncy;&ycy;&iecy; &zcy;&acy;&mcy;&iecy;&chcy;&acy;&ncy;&icy;&yacy;")

(define %gentext-table-endnotes% "&Zcy;&acy;&mcy;&iecy;&chcy;&acy;&ncy;&icy;&yacy;:")

(define %gentext-and% "&icy;")

(define %gentext-bibl-pages% "&Scy;&tcy;&rcy;.")

(define %gentext-table-footnote-caption% "&Zcy;&Acy;&Mcy;&IEcy;&CHcy;&Acy;&Ncy;&Icy;&IEcy;:")

(define (gentext-nav-prev prev) 
  (make sequence (literal "&Pcy;&rcy;&iecy;&dcy;.")))

(define (gentext-nav-prevsib prevsib) 
  (make sequence (literal "&Pcy;&rcy;&iecy;&dcy;. &pcy;&ocy;&dcy;&rcy;&acy;&zcy;&dcy;&iecy;&lcy;")))

(define (gentext-nav-nextsib nextsib)
  (make sequence (literal "&Scy;&lcy;&iecy;&dcy;. &pcy;&ocy;&dcy;&rcy;&acy;&zcy;&dcy;&iecy;&lcy;")))

(define (gentext-nav-next next)
  (make sequence (literal "&Scy;&lcy;&iecy;&dcy;.")))

(define (gentext-nav-up up)
  (make sequence (literal "&Ucy;&rcy;&ocy;&vcy;&iecy;&ncy;&softcy; &vcy;&ycy;&shcy;&iecy;")))

(define (gentext-nav-home home)
  (make sequence (literal "&Ncy;&acy;&chcy;&acy;&lcy;&ocy;")))

</style-specification-body>
</style-specification>
</style-sheet>


